Add to Basket Compare Quick view Cisco Cisco Catalyst Compact 3560CG-8TC-S Switch 8 Ports Managed-Desktop MSRP: £1,180.64 Now: £983.87 Inc. VAT Was: MSRP: £983.87 Now: £819.89 Ex. VAT Was: Manufacturer: Cisco Device Type: Switch - 8 ports - Managed Enclosure Type: Desktop 1U Subtype: Gigabit Ethernet Ports: 8 x 10/100/1000 + 2 x shared SFP MSRP: £1,180.64 Now: £983.87 Inc. VAT Was: MSRP: £983.87 Now: £819.89 Ex. VAT Was: Add to Basket Compare Quick view
Add to Basket Compare Quick view Cisco Cisco Industrial Ethernet 3000 Expansion Module 8Port MSRP: £1,092.65 Now: £910.54 Inc. VAT Was: MSRP: £910.54 Now: £758.78 Ex. VAT Was: Manufacturer: Cisco Device Type: Expansion module Form Factor: External Ports: 10/100 Ethernet x 8 MSRP: £1,092.65 Now: £910.54 Inc. VAT Was: MSRP: £910.54 Now: £758.78 Ex. VAT Was: Add to Basket Compare Quick view
Add to Basket Compare Quick view Cisco Cisco Line Card Classic Switch 24 Ports Plug-in module PoE MSRP: £4,062.02 Now: £3,385.02 Inc. VAT Was: MSRP: £3,385.02 Now: £2,820.85 Ex. VAT Was: Main Specifications: Type Expansion module - 24 ports Form Factor Plug-in module Networking Connectivity Technology Wired Cabling Type Ethernet 10Base-T, Ethernet 100Base-TX,... MSRP: £4,062.02 Now: £3,385.02 Inc. VAT Was: MSRP: £3,385.02 Now: £2,820.85 Ex. VAT Was: Add to Basket Compare Quick view
Add to Basket Compare Quick view Cisco Cisco Small Business SG300-28SFP Managed network switch L3 Black MSRP: £6,419.18 Now: £5,349.32 Inc. VAT Was: MSRP: £5,349.32 Now: £4,457.77 Ex. VAT Was: Management featuresSwitch typeManaged network switchWeb-based managementYesQuality of Service (QoS) supportYesMulticast supportYesMIB supportYesSwitch layerL3Ports & interfacesCombo SFP ports... MSRP: £6,419.18 Now: £5,349.32 Inc. VAT Was: MSRP: £5,349.32 Now: £4,457.77 Ex. VAT Was: Add to Basket Compare Quick view
Compare Quick view Cisco Cisco - power supply - hot-plug - 2800 Watt MSRP: £2,047.79 Now: £1,706.50 Inc. VAT Was: MSRP: £1,706.49 Now: £1,422.08 Ex. VAT Was: Power supply hot-plug ( plug-in module ) AC 200-240 V 2800 Watt for Catalyst 4503 4503-E 4504 4506 4506-E 4507R 4507R-E 4510R 4510R+E 4510R-E MSRP: £2,047.79 Now: £1,706.50 Inc. VAT Was: MSRP: £1,706.49 Now: £1,422.08 Ex. VAT Was: Compare Quick view
Add to Basket Compare Quick view Cisco Cisco SG200-50P Managed network switch L2 Power over Ethernet (PoE) Grey MSRP: £1,096.84 Now: £914.03 Inc. VAT Was: MSRP: £914.03 Now: £761.69 Ex. VAT Was: Management featuresSwitch typeManaged network switchWeb-based managementYesSystem event logYesQuality of Service (QoS) supportYesMulticast supportYesSwitch layerL2Ports & interfacesBasic switching... MSRP: £1,096.84 Now: £914.03 Inc. VAT Was: MSRP: £914.03 Now: £761.69 Ex. VAT Was: Add to Basket Compare Quick view
Add to Basket Compare Quick view Cisco SRW248G4-K9-NA - Cisco 48-Ports 10/100 + 4-Ports Gigabit Switch (Refurbished) MSRP: £836.80 Now: £697.33 Inc. VAT Was: MSRP: £697.33 Now: £581.11 Ex. VAT Was: Cisco 48-Ports 10/100 + 4-Ports Gigabit Switch (Refurbished) Mfr P/N SRW248G4-K9-NA MSRP: £836.80 Now: £697.33 Inc. VAT Was: MSRP: £697.33 Now: £581.11 Ex. VAT Was: Add to Basket Compare Quick view
Add to Basket Compare Quick view Cisco Cisco Catalyst WS-C2960-24LT-L Switch 24 Ports Managed Rack Mountable MSRP: £1,459.38 Now: £1,216.15 Inc. VAT Was: MSRP: £1,216.15 Now: £1,013.46 Ex. VAT Was: Cisco Catalyst Switch managed 24 x 10/100 2 x 10/100/1000 rack-mountable PoE MSRP: £1,459.38 Now: £1,216.15 Inc. VAT Was: MSRP: £1,216.15 Now: £1,013.46 Ex. VAT Was: Add to Basket Compare Quick view
Add to Basket Compare Quick view Cisco Cisco Front-to-Back Cooling - power supply - hot-plug / redundant - 750 Watt MSRP: £1,564.04 Now: £1,303.37 Inc. VAT Was: MSRP: £1,303.37 Now: £1,086.14 Ex. VAT Was: Power supply - hot-plug AC 100-240 V 750 Watt Catalyst 4500-X 50 - 60 Hz MSRP: £1,564.04 Now: £1,303.37 Inc. VAT Was: MSRP: £1,303.37 Now: £1,086.14 Ex. VAT Was: Add to Basket Compare Quick view
Add to Basket Compare Quick view Cisco WS-C3750G-24T-E - Cisco Catalyst 3750 Switch 24-Ports 10/100/1000BaseT Enhanced Fast Gigabit Ethernet (Refurbished) MSRP: £6,302.78 Now: £5,252.32 Inc. VAT Was: MSRP: £5,252.32 Now: £4,376.93 Ex. VAT Was: Cisco Catalyst 3750 Switch 24-Ports 10/100/1000BaseT Enhanced Fast Gigabit Ethernet (Refurbished) Mfr P/N WS-C3750G-24T-E MSRP: £6,302.78 Now: £5,252.32 Inc. VAT Was: MSRP: £5,252.32 Now: £4,376.93 Ex. VAT Was: Add to Basket Compare Quick view
Add to Basket Compare Quick view Cisco Cisco Catalyst WS-C2960-48TT-L Switch 48 Ports Managed Rack-Mountable MSRP: £1,393.64 Now: £1,161.37 Inc. VAT Was: MSRP: £1,161.37 Now: £967.81 Ex. VAT Was: Manufacturer: Cisco Device Type: Switch - 48 ports - Managed Enclosure Type: Rack-mountable 1U Subtype: Fast Ethernet Ports: 48 x 10/100 + 2 x 10/100/1000 MSRP: £1,393.64 Now: £1,161.37 Inc. VAT Was: MSRP: £1,161.37 Now: £967.81 Ex. VAT Was: Add to Basket Compare Quick view
Add to Basket Compare Quick view Cisco Cisco SRW2048-K9-NA Managed network switch L2 network switch MSRP: £1,215.94 Now: £1,013.28 Inc. VAT Was: MSRP: £1,013.28 Now: £844.40 Ex. VAT Was: Management featuresSwitch typeManaged network switchQuality of Service (QoS) supportYesMIB supportRFC1213, RFC2863, RFC1493, RFC2674, RFC2819, RFC 2618Switch layerL2Ports & interfacesBasic switching... MSRP: £1,215.94 Now: £1,013.28 Inc. VAT Was: MSRP: £1,013.28 Now: £844.40 Ex. VAT Was: Add to Basket Compare Quick view